Docs

Create End User

Add someone from your product so they can connect their own accounts through Embedded.

POST

Body

Arguments
string

Your own id for them, up to 48 characters.

string

Their name.

string

Their email address.

object

Credential-exchange host variables: each value a host label.

Host variables for credential exchange: { name: value }, each value a host label (letters, digits and hyphens, up to 63 characters), such as { "environment": "eu1" }.

Response fields

idstring

Unique id of the end user. Use it in the end user routes, connect links, and the embedded MCP route.

externalIdstring

Your own id for them, such as the user id in your product.

namestring

Their name.

emailstring

Their email address.

metadataobject

Your values for them, used as credential-exchange host variables. Each value is a host label (letters, digits, hyphens).

createdOndate

When the end user was created.

updatedOndate

When they were last changed.